
-- name:	Mod Info
-- author:	LKXstudios / Dank an Ifkonator
-- build:	1.4
-- date:	08.01.2016

--In Moddesc.xml
--<l10n>
--	<text name="name"> <en>mod Info</en> </text>  <!-- only if automaticModName = false --> 
--	<text name="customMessage"> <en>Your logmessage here!</en> <de>Deine Lognachricht</de> </text>  <!-- only if showCustomMessage = true --> 
--</l10n>
--<extraSourceFiles>
--	<sourceFile filename="scripts/modInfo.lua" />  <!-- adapt the path to your scriptpath -->
--</extraSourceFiles>


local automaticModName = true
local showInfoMessage = true
local showCustomMessage = false


------------------------------------------------------------------------------------------------------------------------------------------------------

local modDesc = loadXMLFile("modDesc", g_currentModDirectory .. "modDesc.xml");

if automaticModName then
	g_modName = Utils.getNoNil(getXMLString(loadXMLFile("modDesc", g_currentModDirectory .. "modDesc.xml"), "modDesc.title.en"), "title missing");
else
	g_modName = (g_i18n:getText("name"))
end;

local modVersion = Utils.getNoNil(getXMLString(modDesc, "modDesc.version"), "version missing");
local modAuthor = Utils.getNoNil(getXMLString(modDesc, "modDesc.author"), "author missing");

print(g_modName, " v", modVersion, " by ", modAuthor, " loaded!");

if showInfoMessage then
	print("Read the informations and credits carefully!");
end;
if showCustomMessage then
	print((g_i18n:getText("customMessage")));
end;


ModInfo = {};

function ModInfo:mouseEvent(posX, posY, isDown, isUp, button)
end;
function ModInfo:keyEvent(unicode, sym, modifier, isDown)
end;
function ModInfo:deleteMap()
end;
function ModInfo:update(dt)
	if g_currentMission.LiveTicker then
		local TickerText = g_modName .. ": loaded and ready!"
		if TickerText ~= lastTickerText then
			lastTickerText = TickerText
			g_currentMission.LiveTicker:Add(TickerText);
		end;
	end;
end;
function ModInfo:draw()
end;

addModEventListener(ModInfo);

-- © 2016 LKXstudios ( http://www.modhoster.de/community/user/lkxstudios , http://marhu.net/phpBB3/memberlist.php?mode=viewprofile&u=6249 )